// Copyright 1999, The Wilson Partnership.
// All Rights Reserved.
// @(#)DaemonImpl.java, 0.1, 13 September 1999
// Author: John Wilson - tug@wilson.co.uk

package uk.co.wilson.tini.util;

import java.io.IOException;

abstract class DaemonImpl extends Thread {
	public void run() {
		try {
			while (true) {
				doTransaction();
						
//				System.gc();
			}
		}
		catch (final IOException e) {
			System.err.println(e.toString());
			System.err.println(e.getMessage());
			e.printStackTrace();
		}
		catch (final Throwable e) {
			System.err.println(e.toString());
			System.err.println(e.getMessage());
			e.printStackTrace();
		}
	}
		
	protected abstract void doTransaction() throws IOException;
}
